Bug 63290 - cups complaint about /usr/bin/cancel
Summary: cups complaint about /usr/bin/cancel
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: cups (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
: 67937 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-12 03:28 UTC by ellson
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-25 19:22:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ellson 2002-04-12 03:28:39 UTC
Description of Problem:
"rpm -Fvh cups-1.1.14-13.i386.rpm"  reports "the primary link for print must be
/usr/bin/cancel"
I don't have any /usr/bin/cancel or /usr/bin/print.  
Error message doesn't tell me what I should do about it.

Version-Release number of selected component (if applicable):
cups-1.1.14-13.i386.rpm
rawhide-release-20020411-1.noarch.rpm

How Reproducible:


Steps to Reproduce:
1. rpm -Fvh cups-1.1.14-13.i386.rpm
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Bernhard Rosenkraenzer 2002-04-12 11:08:03 UTC
Works here... /usr/bin/cancel is part of both CUPS and LPRng, and for some reason, the 
alternatives mechanism complains about it on your system. 
 
Are you upgrading from a prior version? Is LPRng installed as well? 
Which version of chkconfig are you using?

Comment 2 Bill Nottingham 2002-04-12 19:24:25 UTC
Also, what does /var/lib/alternatives/print look like?

Comment 3 ellson 2002-04-12 19:35:10 UTC
Upgrading from cups-1.1.14-12.i386.rpm

Yes,  LPRng-3.8.9-3 is installed as well

chkconfig-1.3.5-1

]$ ls -l /var/lib/alternatives/print
-rw-r--r--    1 root     root          388 Jan 31 16:58 /var/lib/alternatives/print

$ cat /var/lib/alternatives/print
auto
/usr/bin/cancel
print-lp
/usr/bin/lp
print-lpq
/usr/bin/lpq
print-lpr
/usr/bin/lpr
print-lprm
/usr/bin/lprm
print-lpstat
/usr/bin/lpstat
print-lpc
/usr/sbin/lpc
print-cancelman
/usr/share/man/man1/cancel.1.gz

/usr/bin/cancel.cups
30
/usr/bin/lp.cups
/usr/bin/lpq.cups
/usr/bin/lpr.cups
/usr/bin/lprm.cups
/usr/bin/lpstat.cups
/usr/sbin/lpc.cups
/usr/share/man/man1/cancel.cups.1.gz


Comment 4 Tim Waugh 2002-10-11 11:26:02 UTC
I don't *think* that this affects existing releases; only systems touched by 
rawhide.  Closing. (Re-open if this isn't the case.)

Comment 5 Tim Waugh 2002-10-11 11:37:27 UTC
*** Bug 67937 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.